
# Bilfen Authentication Web Scraping Tool

## Description

This Python package provides a tool for authenticating and verifying users against the [Bilfen](https://bilgimerkezi.bilfenlisesi.com) website. It is designed to ensure that individuals attempting to access certain functionalities are indeed students of Bilfen by validating their credentials and scraping relevant data from their accounts.

## Why Web Scraping?

Web scraping is utilized here as a means to automate the process of logging into the Bilfen website, downloading user profile pictures, and extracting user details. This method enables us to efficiently confirm the authenticity of a user's Bilfen student status.

## Features

- User authentication via the Bilfen website.
- Downloading of user profile pictures.
- Extraction of user details such as name, school, classroom, and contact information.

## Installation

To install this package, you will need Python 3.6 or later. You can install the package using pip:

```bash
pip install bilfenauth
```

(Replace `bilfenauth` with the actual name of your package.)

## Dependencies

- `requests`
- `beautifulsoup4`

These dependencies will be automatically installed when you install the package.

## Usage

Import and use the `Bilfen_Auth` function in your Python script as follows:

```python
import Bilfen_Auth

# Replace with actual TC and password
tc = 'tc'
password = 'password'

is_authenticated, user_data = Bilfen_Auth(tc, password)

if is_authenticated:
    print("User authenticated successfully.")
    print("User data:", user_data)
else:
    print("Authentication failed.")
```

## Important Note

This tool is intended for legitimate verification purposes only. Please ensure you have the necessary permissions to scrape data from the Bilfen website. Always adhere to ethical guidelines and legal standards when using web scraping tools.

## License

This project is licensed under the MIT License - see the LICENSE file for details.
